import {CanActivateFn, Router} from '@angular/router';
import {inject} from '@angular/core';
import {CookieService} from 'ngx-cookie-service';

export const writerGuard: CanActivateFn = (route, state) => {
  const router = inject(Router);
  const cookieService = inject(CookieService);

    if (cookieService.get("author") === '' || (JSON.parse(cookieService.get("author")).role !== 'WRITER' && (cookieService.check("author") && cookieService.check("token")))) {
      router.navigate(['/']);
    }

  return true;
};
